environment-ip: xxharmapp.js.cmcc
server:
  port: 8406

spring:
  data:
    redis:
      #    host: xxharmapp.js.cmcc
      #    port: 30305
      #    password: Epoinfo0004|
      password: ENC(TSg7xEDgEKT+Vtsq6yrM34fRe+rk0vrL)
      cluster:
        nodes:
          - 2409:8020:5c05:200::307:3191@39025
          - 2409:8020:5c05:200::307:3192@39025
          - 2409:8020:5c05:200::307:3193@39025
          - 2409:8020:5c05:200::307:3191@33245
          - 2409:8020:5c05:200::307:3192@33245
          - 2409:8020:5c05:200::307:3193@33245
      #        - 10.32.49.145:39025
      #        - 10.32.49.146:39025
      #        - 10.32.49.147:39025
      #        - 10.32.49.145:33245
      #        - 10.32.49.146:33245
      #        - 10.32.49.147:33245
      jedis:
        pool:
          max-active: 8
          max-wait: 2000
          max-idle: 8
          min-idle: 0
          time-between-eviction-runs: 1000
  datasource:
    driver-class-name: com.alipay.oceanbase.jdbc.Driver
    type: com.alibaba.druid.pool.DruidDataSource
    url: jdbc:oceanbase://10.32.166.11:2883,10.32.166.12:2883,10.32.166.13:2883,10.32.166.14:2883,10.32.166.15:2883,10.32.166.16:2883/JSXJY12?continueBatchOnError=false&allowMultiQueries=true&rewriteBatchedStatements=true&loadBalanceStrategy=RANDOM
    #格式： 用户名@租户名#集群名
    username: JSXJY12@epmsdb#OAFCDB1
    password: ENC(Yj7c5E7DUeoC2U3nXdqxpbm97z40p662)
pms:
  ai:
    zhiyu:
      base-url: http://10.32.41.228:39080
      api-key:
      model: qwen3.5
      temperature: 0.5
      max-tokens: 50000
      max-iterations: 5
    local:
      base-url: http://172.28.30.253:8001
      api-key: 115e68c85d91d40dd3df42a06f08cbed
      model: Qwen3.5-27B
      temperature: 0.5
      max-tokens: 50000
      max-iterations: 5
    siliconFlow:
      base-url: https://api.siliconflow.cn
      api-key: sk-necxquynovkphnulbbfbsopeosgogrsuqgxxctzhbcbpntyh
      model: Qwen/Qwen3.5-27B
      temperature: 0.2
      max-tokens: 50000
      max-iterations: 5